class ProcedureValadteRequestModel {
  String vidaAuthTokenID;
  int patientMRN;
  int appointmentNo;
  int episodeID;
  List<String> procedure;

  ProcedureValadteRequestModel(
      {this.vidaAuthTokenID,
      this.patientMRN,
      this.appointmentNo,
      this.episodeID,
      this.procedure});

  ProcedureValadteRequestModel.fromJson(Map<String, dynamic> json) {
    vidaAuthTokenID = json['VidaAuthTokenID'];
    patientMRN = json['PatientMRN'];
    appointmentNo = json['AppointmentNo'];
    episodeID = json['EpisodeID'];
    procedure = json['Procedure'].cast<String>();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['VidaAuthTokenID'] = this.vidaAuthTokenID;
    data['PatientMRN'] = this.patientMRN;
    data['AppointmentNo'] = this.appointmentNo;
    data['EpisodeID'] = this.episodeID;
    data['Procedure'] = this.procedure;
    return data;
  }
}
